{ pkgs, lib }:
let
  inherit (pkgs.stdenv)
    isDarwin
    isLinux
    isi686
    isx86_64
    isAarch32
    isAarch64
    ;
  inherit (pkgs) vscode-utils;
  merge = lib.attrsets.recursiveUpdate;
in
merge
  (merge
    (merge
      (merge
        {
          "felixzeller"."markdown-oxide" = vscode-utils.extensionFromVscodeMarketplace {
            name = "markdown-oxide";
            publisher = "felixzeller";
            version = "1.1.0";
            sha256 = "07l37hkg106m3nl9530l7i39iw1kibckv1zi4n23gbp7srdrwbs3";
          };
        }
        (
          lib.attrsets.optionalAttrs (isLinux && (isi686 || isx86_64)) {
            "ibecker"."treefmt-vscode" = vscode-utils.extensionFromVscodeMarketplace {
              name = "treefmt-vscode";
              publisher = "ibecker";
              version = "2.1.0";
              sha256 = "1r17wjpw8xiha5r9h3146facxghpcp416zf8551sw93cmam9ky6j";
              arch = "linux-x64";
            };
          }
        )
      )
      (
        lib.attrsets.optionalAttrs (isLinux && (isAarch32 || isAarch64)) {
          "ibecker"."treefmt-vscode" = vscode-utils.extensionFromVscodeMarketplace {
            name = "treefmt-vscode";
            publisher = "ibecker";
            version = "2.1.0";
            sha256 = "0swvl7fkjcwp43grnrhnmy60a5m3hfwawk204byi8hhbczy131li";
            arch = "linux-arm64";
          };
        }
      )
    )
    (
      lib.attrsets.optionalAttrs (isDarwin && (isi686 || isx86_64)) {
        "ibecker"."treefmt-vscode" = vscode-utils.extensionFromVscodeMarketplace {
          name = "treefmt-vscode";
          publisher = "ibecker";
          version = "2.1.0";
          sha256 = "1swq9hy6a9nzkrn07j21g59pyk2m7aqsfi1pphl9l9y8p4zwiaqm";
          arch = "darwin-x64";
        };
      }
    )
  )
  (
    lib.attrsets.optionalAttrs (isDarwin && (isAarch32 || isAarch64)) {
      "ibecker"."treefmt-vscode" = vscode-utils.extensionFromVscodeMarketplace {
        name = "treefmt-vscode";
        publisher = "ibecker";
        version = "2.1.0";
        sha256 = "1xg3wnn3f1kvsz5a09l0cjpzfm3l9va73cahbvl14mx3n6734r2m";
        arch = "darwin-arm64";
      };
    }
  )
